from pydantic import BaseModel, TypeAdapter
import json


class PayloadBase(BaseModel):
    class Config:
        extra = "allow"


class PayloadResult(PayloadBase):
    value: str
    is_error: bool


adapter = TypeAdapter(PayloadResult)

print(PayloadResult.model_json_schema())
print(
    json.dumps(
        adapter.json_schema(ref_template="#/components/schemas/{model}"),
        indent=2,
    )
)
